# ZcashSDK

    public enum ZcashSDK

Constants of ZcashLightClientKit. this constants don’t

- `zatoshiPerZEC`

  The number of zatoshi that equal 1 ZEC.

  #### Declaration

  Swift

      public static var zatoshiPerZEC: BlockHeight

- `maxReorgSize`

  The theoretical maximum number of blocks in a reorg, due to other bottlenecks in the protocol design.

  #### Declaration

  Swift

      public static var maxReorgSize: Int

- `expiryOffset`

  The amount of blocks ahead of the current height where new transactions are set to expire. This value is controlled by the rust backend but it is helpful to know what it is set to and should be kept in sync.

  #### Declaration

  Swift

      public static var expiryOffset: Int

- `DefaultBatchSize`

  Default size of batches of blocks to request from the compact block service.

  #### Declaration

  Swift

      public static var DefaultBatchSize: Int

- `defaultPollInterval`

  Default amount of time, in in seconds, to poll for new blocks. Typically, this should be about half the average block time.

  #### Declaration

  Swift

      public static var defaultPollInterval: TimeInterval

- `defaultRetries`

  Default attempts at retrying.

  #### Declaration

  Swift

      public static var defaultRetries: Int

- `defaultMaxBackOffInterval`

  The default maximum amount of time to wait during retry backoff intervals. Failed loops will never wait longer than this before retyring.

  #### Declaration

  Swift

      public static var defaultMaxBackOffInterval: TimeInterval

- `defaultRewindDistance`

  Default number of blocks to rewind when a chain reorg is detected. This should be large enough to recover from the reorg but smaller than the theoretical max reorg size of 100.

  #### Declaration

  Swift

      public static var defaultRewindDistance: Int

- `defaultStaleTolerance`

  The number of blocks to allow before considering our data to be stale. This usually helps with what to do when returning from the background and is exposed via the Synchronizer’s isStale function.

  #### Declaration

  Swift

      public static var defaultStaleTolerance: Int

- `defaultDataDbName`

  Default Name for LibRustZcash data.db

  #### Declaration

  Swift

      public static var defaultDataDbName: String

- `defaultCacheDbName`

  Default Name for Compact Block caches db

  #### Declaration

  Swift

      public static var defaultCacheDbName: String

- `defaultPendingDbName`

  Default name for pending transactions db

  #### Declaration

  Swift

      public static var defaultPendingDbName: String

- `spendParamFilename`

  File name for the sapling spend params

  #### Declaration

  Swift

      public static var spendParamFilename: String

- `outputParamFilename`

  File name for the sapling output params

  #### Declaration

  Swift

      public static var outputParamFilename: String

- `cloudParameterURL`

  The Url that is used by default in zcashd. We’ll want to make this externally configurable, rather than baking it into the SDK but this will do for now, since we’re using a cloudfront URL that already redirects.

  #### Declaration

  Swift

      public static var cloudParameterURL: String

© 2022 Francisco Gindre and Jack Grigg. All rights reserved. (Last updated: 2022-04-07)

Generated by jazzy ♪♫ v0.14.2, a Realm project.